scala.tools.nsc.Global

# nodePrinters

#### object nodePrinters extends NodePrinters

Print tree in detailed form

Linear Supertypes
NodePrinters, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. nodePrinters
2. NodePrinters
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait DefaultPrintAST extends PrintAST

   Definition Classes
     NodePrinters

2. #### trait PrintAST extends AnyRef

   Definition Classes
     NodePrinters

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### object InfoLevel extends Enumeration

   Definition Classes
     NodePrinters

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val global: Global.this.type

    Definition Classes
      nodePrinters → NodePrinters

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### var infolevel: ast.NodePrinters.InfoLevel.Value

    Definition Classes
      NodePrinters

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### var lastPrintedPhase: Phase

18. #### var lastPrintedSource: String

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### object nodeToRegularString extends DefaultPrintAST with (Global.Tree) ⇒ String

    Definition Classes
      NodePrinters

21. #### def nodeToString: (Global.Tree) ⇒ String

    Definition Classes
      NodePrinters

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def printAll(): Unit

    Definition Classes
      NodePrinters

25. #### def printUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      NodePrinters

26. #### def showUnit(unit: Global.CompilationUnit): Unit

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from NodePrinters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped